#!/bin/sh

DOCKER_EXTENSION_APP_PATH=/usr/local/AppCentral/docker-ce-registry-pack
DOCKER_DAEMON_CONFIG_BINARY=$DOCKER_EXTENSION_APP_PATH/bin/util_start_stop


case "$1" in
    start)
        $DOCKER_DAEMON_CONFIG_BINARY start
		/usr/local/AppCentral/docker-ce/CONTROL/start-stop.sh reload
        ;;
    stop)
        $DOCKER_DAEMON_CONFIG_BINARY stop
		/usr/local/AppCentral/docker-ce/CONTROL/start-stop.sh reload
        ;;
    *)
        echo "usage: $0 {start|stop}"
        exit 2
        ;;
esac

exit 0

